Package org.apache.datasketches.hive.quantiles

## Class UnionDoublesSketchUDAF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver
  - - org.apache.datasketches.hive.quantiles.UnionDoublesSketchUDAF

All Implemented Interfaces:
  `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver`, `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`

    public class UnionDoublesSketchUDAF
    extends org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

### Constructor Summary

Constructors
`UnionDoublesSketchUDAF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

`getEvaluator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionDoublesSketchUDAF

    public UnionDoublesSketchUDAF()

### Method Detail

#### getEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)
                                                                            throws org.apache.hadoop.hive.ql.parse.SemanticException

Specified by:
  `getEvaluator` in interface `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`
Overrides:
  `getEvaluator` in class `org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver`
Throws:
  `org.apache.hadoop.hive.ql.parse.SemanticException`